# PCMGSetInterpolation

Sets the function to be used to calculate the interpolation on the lth level.

### Synopsis

    #include "petscksp.h"
    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGSetInterpolation(PC pc,PetscInt l,Mat mat)

Collective on PC and Mat

### Input Parameters

| pc | - the multigrid context
| mat | - the interpolation operator
| l | - the level (0 is coarsest) to supply

### Notes

Usually this is the same matrix used also to set the restriction for the same level.

One can pass in the interpolation matrix or its transpose; PETSc figures out from the matrix size which one it is.

If you do not set this, the transpose of the Mat set with PCMGSetRestriction() is used.

### Keywords

multigrid, set, interpolate, level

### See Also

PCMGSetRestriction()

Level:advanced
Location:src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages